Bug 407431 - upgrade: no longer existing multilib rpms must be removed
upgrade: no longer existing multilib rpms must be removed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-01 12:42 EST by Peter Riches
Modified: 2007-12-04 16:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-04 16:44:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Riches 2007-12-01 12:42:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.10) Gecko/20071126 Fedora/2.0.0.10-1.fc8 Firefox/2.0.0.10

Description of problem:
Some of the files from the 64-bit update (gdb-6.6-36.fc8.x86_64) conflict with the existing 32-bit version (gdb-6.5-15.fc6.i386). This prevents the update from happening.

Error message pasted from pup: see Actual Results section.

(Incidentally, this failed update also stops any other updates from working, too -  unless the offending package is de-selected - might that be worth spawning a separate bug report?)

Version-Release number of selected component (if applicable):
gdb-6.6-36.fc8.x86_64

How reproducible:
Always


Steps to Reproduce:
1.pup informs me that an update is available.
2.I type in the root password and select the update for gdb.
3.The update downloads and pup tries to update it.

Actual Results:
"Error updating software
There were errors encountered in trying
to update the software you selected
Details
file /usr/bin/gcore from install of gdb-6.6-36.fc8.x86_64 conflicts with file from package gdb-6.5-15.fc6.i386
file /usr/share/info/annotate.info.gz from install of gdb-6.6-36.fc8.x86_64 conflicts with file from package gdb-6.5-15.fc6.i386
file /usr/share/info/gdb.info.gz from install of gdb-6.6-36.fc8.x86_64 conflicts with file from package gdb-6.5-15.fc6.i386
file /usr/share/info/gdbint.info.gz from install of gdb-6.6-36.fc8.x86_64 conflicts with file from package gdb-6.5-15.fc6.i386
file /usr/share/info/stabs.info.gz from install of gdb-6.6-36.fc8.x86_64 conflicts with file from package gdb-6.5-15.fc6.i386"

Expected Results:
The software should update successfully.

Additional info:
Package details for gdb, as given by pup:
          ID  FEDORA-2007-3057
        Type  bugfix
      Status  stable
      Issued  2007-11-17 05:38:07
     Updated  
 Description  Fix displaying `errno' even for non-threaded inferiors.
              PPC: Fix displaying of overwritten parameter values.
Comment 1 Jan Kratochvil 2007-12-01 12:54:39 EST
Package `gdb' is not a multilib package.
Its i386 variant should not exist on x86_64 system, please type:
  rpm -e gdb-6.5-15.fc6.i386

It is probably some relict of an upgrade from FC-6 (gdb-6.5-15.fc6.i386), `yum'
is known to have some biarch (i386<->x86_64) issues.  Unaware about pup/pirut
and how this could happen.  If it is not an administration mistake it is a `pup'
Bug.
Comment 2 Peter Riches 2007-12-01 13:11:19 EST
I did upgrade my machine from FC6 to Fedora 8 recently.
After following your suggestion and removing the i386 variant of gdb, the pup
completed the upgrade successfully. Thank you Jan!

This is fixed for me. I don't know whether it is still a bug in pup or not. I'll
let the experts decide that!

PS. If this kind of thing happens again with other packages, how will I know
whether I should remove the i386 variant? (I don't want to break anything.)
Comment 3 Jan Kratochvil 2007-12-01 13:23:41 EST
How did you upgrade FC6->F8?  Was that FC6 formerly an i386 (32-bit)
installations?  This answer decides whether this Bug should be closed/reassigned.

You should remove all the i?86 packages, they make no sense on x86_64 system
unless you know you unlikely need them for compatibility with an i386 binary
application.
Comment 4 Peter Riches 2007-12-01 16:53:22 EST
I upgraded from FC6 to F8 using an ordinary DVD spin, downloaded soon after
release. I chose to upgrade rather than do a clean reinstall of Fedora.

I have always had the 64-bit version of Fedora on this machine, although my FC6
install did have some packages that were duplicated for i?86 as well as x86_64.

Thanks for the advice about ditching the 32 bit packages, Jan. I'll check for
32-bit apps first and then they're for the chop, methinks.
Comment 5 Jan Kratochvil 2007-12-01 22:23:08 EST
I see FC6 really had gdb.i386 (that was a mistake).

FC6 had (in updates):
  gdb-6.5-15.fc6.i386
  gdb-6.5-15.fc6.x86_64
and F8 has only:
  gdb-6.6-35.fc8.x86_64
Anaconda upgrade left there conflicting:
  gdb-6.5-15.fc6.i386
  gdb-6.6-35.fc8.x86_64

This is wrong, multilib rpms no longer present in the new repo must be removed.
I had bugreports from friends of mine on this kind of multilib problem before.
Comment 6 Jeremy Katz 2007-12-04 16:44:49 EST
Added gdb to the multilib upgrade remove list

Note You need to log in before you can comment on or make changes to this bug.